#!/bin/sh

if [ "$1" = "" ] || [ "$2" = "" ] || [ "$3" = "" ] ; then
	echo "Usage:" $0 "orignal_image fs_dir new_image"
	exit
fi

echo
echo "Original Image:" $1
echo "Your Filesystem:" $2
echo "New Image:" $3
echo
echo "Press 'y' to continue"

read yn

if [ "$yn" = "y" ]; then
	tools/mkcramfs -g -r $2 fs.bin
	tools/bcmImageBuilder --output bcm963xx_fs_kernel --chip 6348 --board "96348GW-10" --blocksize 64 --cfefile tools/cfe6348.bin --rootfsfile fs.bin  --kernelfile tools/vmlinux.lz
	tools/makeImage $3 $1 bcm963xx_fs_kernel
	rm -rf fs.bin bcm963xx_fs_kernel
       	echo $4 "Created!"	
else
	echo "EXIT!"
fi


